<?php
if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Api extends CI_Controller{
	
	function __construct(){
		parent::__construct();
		date_default_timezone_set('Asia/Calcutta');
		// require_once('class.phpmailer.php');
		// require_once('class.smtp.php');
		// $this->load->database('rusedu');
		$this->load->database();
		$this->load->database('default');
		
	}

	public function index(){
		echo json_encode(array('status' => 400, 'message' => 'Restricted'));
		exit;
	}
	
	/* Home method Start */
	public function home(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For Banner  start*/
				$sql2 =  $this->db->query("select * from banner where active = '1' order by Id DESC");
				foreach ($sql2->result() as $rows2 ){
					$path2 = urldecode("http://www.ruseducation.com/".$rows2->banner_path);	
					$data['banner'][] = array("Path"=>$path2,"caption"=>$rows2->caption);
				}
				/* End Banner Coding */
				
				
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Home method End */
	
	
	/* University method Start */
	public function university(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For University start*/
				$sql2 =  $this->db->query("select * from university order by sort DESC, name ASC");
				foreach ($sql2->result() as $rows2 ){
					$path2 = urldecode("http://www.ruseducation.com/admin/".$rows2->image_path);
					
					$d1 = str_replace("\n\t\r", "", $rows2->about);
					$d2 = str_replace("\n\t", "", $d1);
					$d3 = str_replace("\n\r", "", $d2);
					$d4 = str_replace("\n", "", $d3);
					$d5 = str_replace("\r", "", $d4);
					$about = str_replace("\t", "", $d5);
					
					$desc = str_replace("\n", " ", $rows2->description);
					$data['university'][] = array("id"=>$rows2->id, "path"=>$path2,"name"=>$rows2->name,"description"=>$desc,"about"=>$about);
				}
				/* End University Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* University method End */
	
	/* course method Start */
	public function course(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For course start*/
				$sql2 =  $this->db->query("select * from course order by sort ASC");
				foreach ($sql2->result() as $rows2 ){
					$path2 = urldecode("http://www.ruseducation.com/".$rows2->banner);
					
					$d1 = str_replace("\n\t\r", "", $rows2->description);
					$d2 = str_replace("\n\t", "", $d1);
					$d3 = str_replace("\n\r", "", $d2);
					$d4 = str_replace("\n", "", $d3);
					$d5 = str_replace("\r", "", $d4);
					$desc = str_replace("\t", "", $d5);
					$data['course'][] = array("id"=>$rows2->id, "path"=>$path2,"name"=>$rows2->name,"description"=>$desc);
				}
				/* End course Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Course Methods End */
	
	/* Latest News method Start */
	public function news(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For news start*/
				$sql2 =  $this->db->query("select * from add_news order by date DESC");
				foreach ($sql2->result() as $rows2 ){
					$path2 = urldecode("http://www.ruseducation.com/admin/".$rows2->image_news);
					$d1 = str_replace("\n\t\r", "", $rows2->description_news);
					$d2 = str_replace("\n\t", "", $d1);
					$d3 = str_replace("\n\r", "", $d2);
					$d4 = str_replace("\n", "", $d3);
					$d5 = str_replace("\r", "", $d4);
					$desc = str_replace("\t", "", $d5);
					
					
					$date = $this->db->escape("$rows2->date");
					$time = $this->db->escape("$rows2->time");
					$data['news'][] = array("id"=>$rows2->id_news, "path"=>$path2,"name"=>$rows2->name_news,"description"=>$desc,"location"=>$rows2->location_news);
				}
				
				$sql22 =  $this->db->query("select * from news_video order by id_video DESC");
				foreach ($sql22->result() as $rows22 ){
					
					$d1 = str_replace("\n\t\r", "", $rows22->video_description);
					
					$arr1 = explode('src=', $rows22->video_path);
					$arr2 = explode(' ', $arr1[1]);
					$temp1 = str_replace('"',' ', $arr2[0]);
					$text = trim($temp1);
					$url = $rows22->url_address;
					$name = $rows22->title_name;
					
					$data['enews'][] = array("id"=>$rows22->id_video, "name"=>$name,"url"=>$url);
					
					$data['print'][] = array("id"=>$rows22->id_video, "name"=>$name,"url"=>$text);
				}
				/* End news Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Latest News Methods End */
	
	/* Latest Event method Start */
	public function event(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For event start*/
				$sql2 =  $this->db->query("select * from add_event order by id_event DESC");
				foreach ($sql2->result() as $rows2 ){
					$path2 = urldecode("http://www.ruseducation.com/admin/".$rows2->image_event);
					$d1 = str_replace("\n\t\r", "", $rows2->description_event);
					$d2 = str_replace("\n\t", "", $d1);
					$d3 = str_replace("\n\r", "", $d2);
					$d4 = str_replace("\n", "", $d3);
					$d5 = str_replace("\r", "", $d4);
					$description = str_replace("\t", "", $d5);
					
					
					$date = $this->db->escape("$rows2->date_event");
					$time = $this->db->escape("$rows2->time_event");
					$data['event'][] = array("id"=>$rows2->id_event, "path"=>$path2,"name"=>$rows2->name_event,"description"=>$description,"location"=>$rows2->location_event);
				}
				/* End event Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Latest Event Methods End */
	
	/* Branches method Start */
	public function branches(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For branches start*/
				$sql2 =  $this->db->query("select * from our_branches WHERE type is null order by branch_name ASC");
				foreach ($sql2->result() as $rows2 ){
					$path2 = urldecode("http://www.ruseducation.com/admin/".$rows2->branch_image);
					
					$data['branches'][] = array("id"=>$rows2->branch_id, "path"=>$path2,"name"=>$rows2->branch_name,"phone"=>$rows2->branch_phone,"email"=>$rows2->branch_email,"address"=>$rows2->branch_address);
				}
				/* End branches Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Latest Event Methods End */
	
	
	/* Blogs method Start */
	public function blogs(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For branches start*/
				$sql2 =  $this->db->query("select * from blogs order by datetime_blog DESC");
				foreach ($sql2->result() as $rows2 ){
					$path2 = urldecode("http://www.ruseducation.com/admin/".$rows2->image_blog);
					$datetime = htmlentities("$rows2->datetime_blog");
					$d1 = str_replace("\n\t\r", "", $rows2->description_blog);
					$d2 = str_replace("\n\t", "", $d1);
					$d3 = str_replace("\n\r", "", $d2);
					$d4 = str_replace("\n", "", $d3);
					$d5 = str_replace("\r", "", $d4);
					$description = str_replace("\t", "", $d5);
					$data['blog'][] = array("id"=>$rows2->blog_id, "path"=>$path2,"name"=>$rows2->title_blog,"datetime"=>$datetime,"description"=>$description);
				}
				/* End branches Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Blogs Methods End */
	
	/* Media method Start */
	public function media(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For branches start*/
				$sql2 =  $this->db->query("select * from media order by media_entry_date DESC");
				foreach ($sql2->result() as $rows2 ){
					$path2 = "http://www.ruseducation.com/admin/".$rows2->media_path;
					$datetime = htmlentities("$rows2->media_entry_date");
					
					$data['media'][] = array("id"=>$rows2->media_id, "path"=>$path2,"name"=>$rows2->media_title,"datetime"=>$datetime);
				}
				/* End branches Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Media Methods End */
	
	/* FAQ method Start */
	public function faq(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For branches start*/
				$sql2 =  $this->db->query("select * from faq order by sort ASC");
				foreach ($sql2->result() as $rows2 ){
										
					$data['faq'][] = array("id"=>$rows2->id,"question"=>$rows2->question,"answer"=>$rows2->answer);
				}
				/* End branches Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* FAQ Methods End */

        
	
	
	/* Newsletter method Start */
	public function newsletter(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For branches start*/
				$sql2 =  $this->db->query("select * from newsletter where active = '1' order by id DESC");
				foreach ($sql2->result() as $rows2 ){
					$path2 = "http://www.ruseducation.com/admin/".$rows2->news_image_path;
					$path3 = "http://www.ruseducation.com/admin/".$rows2->news_pdf_path;
					
					
					$data['Newsletter'][] = array("id"=>$rows2->id, "ImgPath"=>$path2, "PDFPath"=>$path3, "name"=>$rows2->news_title,"description"=>$rows2->news_description);
				}
				/* End branches Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Newsletter Methods End */
	
	/* Country method Start */
	public function country(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For country start*/
				$sql2 =  $this->db->query("select * from country order by sort ASC");
				foreach ($sql2->result() as $rows2 ){
					$path2 = "http://www.ruseducation.com/".$rows2->co_thumb_img;
					$path3 = "http://www.ruseducation.com/".$rows2->co_banner_img;
					
					
					$data['country'][] = array("id"=>$rows2->id, "ImgPathThumb"=>$path2, "ImgPathBanner"=>$path3, "name"=>$rows2->co_name,"descriptionShort"=>$rows2->co_short_desc,"description"=>$rows2->co_full_desc);
				}
				/* End country Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* country Methods End */

       /* Magazine method Start */
	public function magazine(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For branches start*/
				$sql2 =  $this->db->query("select * from magazine where active = '1' order by id DESC");
				foreach ($sql2->result() as $rows2 ){
					$path2 = "http://www.ruseducation.com/admin/".$rows2->mag_image_path;
					$path3 = "http://www.ruseducation.com/admin/".$rows2->mag_pdf_path;
					
					
					$data['magazine'][] = array("id"=>$rows2->id, "ImgPath"=>$path2, "PDFPath"=>$path3, "name"=>$rows2->mag_title,"description"=>$rows2->mag_description);
				}
				/* End branches Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Magazine Methods End */
	
	
	/* Video method Start */
	public function video(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For branches start*/
				$sql2 =  $this->db->query("select * from add_video order by video_id DESC");
				foreach ($sql2->result() as $rows2 ){
					$arr1 = explode('src=', $rows2->video_path);
					$arr2 = explode(' ', $arr1[1]);
					$temp1 = str_replace('"',' ', $arr2[0]);
					$text = trim($temp1);
					//$text = $temp1 = str_replace('/embed/','/', $temp2);
					
					
					$data['video'][] = array("id"=>$rows2->video_id, "video"=>$text,"name"=>$rows2->title_video,"description"=>$rows2->description_video);
				}
				/* End branches Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Video Methods End */
	
	/* Gallery method Start */
	public function gallery(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For branches start*/
				$sql2 =  $this->db->query("select * from rus_photo where active = 1 order by date DESC");
				foreach ($sql2->result() as $rows2 ){
					$path2 = "http://www.ruseducation.com/admin/".$rows2->image_photo;
					$id = $rows2->id_photo;
					
					$sql3 =  $this->db->query("select * from gallery_add where active = 1 and standerd = '$id' order by datetime DESC");
					foreach ($sql3->result() as $rows3 ){
						$path3 = "http://www.ruseducation.com/admin/upload/".$rows3->FileName;
						$data2[] = array("id"=>$rows3->id, "path"=>$path3);
						
					}
					
					
					$data['gallery'][] = array("id"=>$rows2->id_photo, "title"=>$rows2->gallery_name,"description"=>$rows2->gallery_description,"path"=>$path2,"photos"=>$data2);
				unset($data2);	
				}
				/* End branches Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Gallery Methods End */
	
	
	/* Apply Now method Start */
	public function applynow(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				
				$json = file_get_contents("php://input");
				
				$this->db->query("INSERT INTO `dumptable` (`id`, `data`) VALUES (NULL, '$json')");
				$result = json_decode ($json,true);
				$sql9 = $this->db->query("INSERT INTO `register` (`name`, `gmail`, `city`, `phone`, `states`, `branch`) VALUES ('$result[name]', '$result[email]', '$result[city]', '$result[phone]', '$result[state]', '$result[branch]')");
				
				
				
				
				if($sql9){
					echo json_encode(array('status' => 200, 'message' => "success"));
				}else{
					echo json_encode(array('status' => 402, 'message' => 'Data submission error please try again. Please contact to admin'));
					exit;
				}
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Apply Now Methods End */
	
	/* Subscribe method Start */
	public function subscribe(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				
				$json = file_get_contents("php://input");
				
				$this->db->query("INSERT INTO `dumptable` (`id`, `data`) VALUES (NULL, '$json')");
				$result = json_decode ($json,true);
				$sql9 = $this->db->query("INSERT INTO `subscriber` (`email`) VALUES ('$result[email]')");
				if($sql9){
					echo json_encode(array('status' => 200, 'message' => "success"));
				}else{
					echo json_encode(array('status' => 402, 'message' => 'Data submission error please try again. Please contact to admin'));
					exit;
				}
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Subscribe Methods End */

}
